List organization workspaces
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"organizationId": 1,
"workspaceName": "iggre",
"lastUsedAt": "2020-11-11 10:00:00",
"service": {
"id": 1,
"name": "Google",
"uniqueName": "google",
"url": "https://google.com",
"adminUrl": "https://admin.google.com/u/0/ac/home",
"userManagementUrl": "https://admin.google.com/u/0/ac/users",
"serviceTopUrl": "https://workspace.google.com/products/admin/",
"serviceAlternateUrls": [
"www.slides.google.com",
"www.docs.google.com",
"www.sheets.google.com"
],
"canDeleteAccount": true,
"canDeactivateAccount": true
},
"creator": {
"id": 1,
"email": "foo.bar@example.com",
"name": "foo.bar",
"location": "jp",
"roles": [
{
"id": 1,
"name": "Admin"
}
],
"status": "active"
},
"isCustomWorkspace": false,
"identityProviderWorkspaceId": 123,
"workspaceMeta": {
"id": 1,
"workspaceId": 1,
"organizationId": 1,
"note": "Example note",
"businessImpactLevel": "low",
"dataStoreRegion": "ap-northeast-1",
"piiEnabled": false,
"pii": "Example note",
"confidentialInfo": "confidential",
"securityImpactLevel": "low",
"vendorName": "Example Vendor",
"vendorRelationship": "Example Vendor Relationship",
"vendorPhone": "12345567890",
"vendorMailAddress": "Example Vendor Mail address"
},
"billingManagers": [
{
"id": 1,
"avatar": "avatar",
"displayName": "Example name",
"primaryEmail": "Example email"
}
],
"peopleInCharge": [
{
"id": 1,
"avatar": "avatar",
"displayName": "Example name",
"primaryEmail": "Example email"
}
],
"lastExecutionTime": "2020-11-11 10:00:00",
"lastExecutionStatus": "processing",
"lastExecutionResultId": 0,
"lastExecutionResultMessage": "NOT_FOUND"
}
]Workspaces
List organization workspaces
List all organization workspaces
Simple non-nested objects are serialized as paramName[prop1]=value1¶mName[prop2]=value2&.. following the deepObject serialization style as defined in OpenAPI specification.
Example for workspaceMeta parameter: workspaceMeta[businessImpactLevel]=low&workspaceMeta[piiEnabled]=true
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
List organization workspaces
承認
パスパラメータ
クエリパラメータ
Filter workspaces by id. Accepts multiple options.
Filter workspaces by service id.
Filter workspaces by spending master status.
Filter workspaces by meta data.
Show child attributes
Show child attributes
レスポンス
200 - application/json
例:
1
例:
1
例:
"iggre"
例:
"2020-11-11 10:00:00"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
例:
false
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
例:
"2020-11-11 10:00:00"
利用可能なオプション:
pending, processing, connected, maintenance, suspended, stopped, manual 例:
"processing"
利用可能なオプション:
0, 1, 100, 101, 103, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 250, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 320, 350, 351, 352, 353, 998, 999, SUCCESS, PARTIAL_SUCCESS, REQUIRE_ADDITIONAL_INPUT, REQUIRE_POLICY_CONFIRMATION, REQUIRE_VERIFY_EMAIL, NOT_FOUND, WORKSPACE_NOT_FOUND, NOT_ENOUGH_ACCESS_TOKEN_PERMISSION, INCORRECT_CREDENTIALS, WRONG_PLAN, REFRESH_TOKEN_EXPIRED, TRIAL_ACCOUNT_EXPIRED, ACCOUNT_TYPE_NOT_SUPPORT, USER_NOT_FOUND_IN_DATABASE, USER_CANNOT_BE_DELETED, USER_IS_LAST_ADMIN, USER_CANNOT_BE_DEACTIVATED, USER_HAS_BEEN_DEACTIVATED, USER_DEPROVISIONING_REQUEST_NOT_EXISTS, REQUIRE_OTP_SETUP_FINISHED, TWO_FA_METHOD_NOT_ENABLED, DOMAIN_IS_NOT_VALID, NOT_SUPPORT_SAML_SSO_ONLY, NOT_SUPPORT_LOGIN_WITH_2FA, ACCOUNT_IS_NOT_ACTIVE, USER_ALREADY_EXISTS, SET_GROUPS_ACTION_REQUIRED, TEAM_NOT_FOUND, LICENSE_LIMIT_EXCEED, INVALID_PROVISIONING_INPUT, USER_CANNOT_BE_ASSIGNED_TO_WORKSPACE, USER_LIMIT_EXCEED, CANNOT_TRANSFER_DATA, IP_RESTRICTED, INSUFFICIENT_PASSWORD_COMPLEXITY, USER_ACCOUNT_LOCKED, FILE_AGGRE_ABORTED, SYSTEM_ERROR, API_RATE_LIMIT, INVALID_SCRAPING_DATA_FORMAT, TIMEOUT_ERROR, AGGRE_TARGET_SYSTEM_MAINTENANCE, WRONG_METHOD, AGGRE_TARGET_SYSTEM_ERROR, AGGRE_TARGET_COOKIE_ERROR, AGGRE_TARGET_INSTANCE_HIBERNATED, AGGRE_TARGET_API_VERSION, AGGRE_TARGET_LOCAL_STORAGE_ERROR, AGGRE_TARGET_TOKEN_ERROR, BYPASS_BOT_DETECTED, AGGRE_TARGET_USER_NOT_FOUND, AGGRE_TARGET_USER_ALREADY_DELETED, AGGRE_TARGET_ACTIVE_SESSION_LIMIT_REACHED, RETRYABLE_SYSTEM_ERROR, AGGRE_PROCESSOR_ERROR, IMPORT_CSV_NOT_FOUND, CSV_VALIDATION_ERRORS, UNKNOWN_ENCODING, EMPTY_CSV_FILE, OUT_OF_MEMORY_ERROR, UNKNOWN_ERROR 例:
0
例:
"NOT_FOUND"
最終更新日 2026年7月10日
⌘I

